# DataExchange
TKSTEP
GeomToStep

# GeomToStep_MakeBSplineCurveWithKnotsAndRationalBSplineCurve Class Reference

This class implements the mapping between classes
BSplineCurve from Geom, Geom2d and the class
BSplineCurveWithKnotsAndRationalBSplineCurve from StepGeom
which describes a rational_bspline_curve_with_knots from
Prostep
.

`#include <GeomToStep_MakeBSplineCurveWithKnotsAndRationalBSplineCurve.hxx>`

Inheritance diagram for GeomToStep_MakeBSplineCurveWithKnotsAndRationalBSplineCurve:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | GeomToStep_MakeBSplineCurveWithKnotsAndRationalBSplineCurve (const Handle(Geom_BSplineCurve)&Bsplin)
Standard_EXPORT | GeomToStep_MakeBSplineCurveWithKnotsAndRationalBSplineCurve (const Handle(Geom2d_BSplineCurve)&Bsplin)
Standard_EXPORT const Handle_StepGeom_BSplineCurveWithKnotsAndRationalBSplineCurve & | Value () const

## Private Attributes

Handle_StepGeom_BSplineCurveWithKnotsAndRationalBSplineCurve | theBSplineCurveWithKnotsAndRationalBSplineCurve

## Constructor & Destructor Documentation

Standard_EXPORT GeomToStep_MakeBSplineCurveWithKnotsAndRationalBSplineCurve::GeomToStep_MakeBSplineCurveWithKnotsAndRationalBSplineCurve | ( | const Handle(Geom_BSplineCurve)& | Bsplin | ) |

Standard_EXPORT GeomToStep_MakeBSplineCurveWithKnotsAndRationalBSplineCurve::GeomToStep_MakeBSplineCurveWithKnotsAndRationalBSplineCurve | ( | const Handle(Geom2d_BSplineCurve)& | Bsplin | ) |

## Member Function Documentation

void GeomToStep_MakeBSplineCurveWithKnotsAndRationalBSplineCurve::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeBSplineCurveWithKnotsAndRationalBSplineCurve::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeBSplineCurveWithKnotsAndRationalBSplineCurve::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from GeomToStep_Root.

Standard_EXPORT const Handle_StepGeom_BSplineCurveWithKnotsAndRationalBSplineCurve& GeomToStep_MakeBSplineCurveWithKnotsAndRationalBSplineCurve::Value | ( |  | ) | const

## Field Documentation

Handle_StepGeom_BSplineCurveWithKnotsAndRationalBSplineCurve GeomToStep_MakeBSplineCurveWithKnotsAndRationalBSplineCurve::theBSplineCurveWithKnotsAndRationalBSplineCurve `[private]`

The documentation for this class was generated from the following file:

- GeomToStep_MakeBSplineCurveWithKnotsAndRationalBSplineCurve.hxx